// CntrItem.h : interface of the CShowStringCntrItem class
//

#if !defined(AFX_CNTRITEM_H__6744825F_6E26_11D0_B02C_0080C81A3AA2__INCLUDED_)
#define AFX_CNTRITEM_H__6744825F_6E26_11D0_B02C_0080C81A3AA2__INCLUDED_

class CShowStringDoc;
class CShowStringView;

class CShowStringCntrItem : public COleClientItem
{
	DECLARE_SERIAL(CShowStringCntrItem)

// Constructors
public:
	CShowStringCntrItem(CShowStringDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CShowStringDoc* GetDocument()
		{ return (CShowStringDoc*)COleClientItem::GetDocument(); }
	CShowStringView* GetActiveView()
		{ return (CShowStringView*)COleClientItem::GetActiveView(); }

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CShowStringCntrItem)
	public:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	virtual void OnActivate();
	protected:
	virtual void OnGetItemPosition(CRect& rPosition);
	virtual void OnDeactivateUI(BOOL bUndoable);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);
	//}}AFX_VIRTUAL

// Implementation
public:
	CRect m_rect;
	~CShowStringCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CNTRITEM_H__6744825F_6E26_11D0_B02C_0080C81A3AA2__INCLUDED_)
