// EmployeeSet.cpp : implementation of the CEmployeeSet class
//

#include "stdafx.h"
#include "Employee.h"
#include "EmployeeSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEmployeeSet implementation

IMPLEMENT_DYNAMIC(CEmployeeSet, CRecordset)

CEmployeeSet::CEmployeeSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CEmployeeSet)
	m_EmployeeID = _T("");
	m_EmployeeName = _T("");
	m_EmployeeRate = 0.0;
	m_DeptID = _T("");
	m_nFields = 4;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}

CString CEmployeeSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=Department Store");
}

CString CEmployeeSet::GetDefaultSQL()
{
	return _T("[Employees]");
}

void CEmployeeSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CEmployeeSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Text(pFX, _T("[EmployeeID]"), m_EmployeeID);
	RFX_Text(pFX, _T("[EmployeeName]"), m_EmployeeName);
	RFX_Double(pFX, _T("[EmployeeRate]"), m_EmployeeRate);
	RFX_Text(pFX, _T("[DeptID]"), m_DeptID);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CEmployeeSet diagnostics

#ifdef _DEBUG
void CEmployeeSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CEmployeeSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
