#include <iostream.h>
#include <typeinfo.h>

class CBase
{
public:
    CBase() {};
    ~CBase() {};
};

class CDerived : public CBase
{
public:
    CDerived() {};
    ~CDerived() {};
};

int main()
{
    CBase* base = new CBase;
    CBase* derived = new CDerived;

    const type_info& ti1 = typeid(CBase);
    const type_info& ti2 = typeid(CDerived);

    cout << "First object's name: " << ti1.name() << endl;
    cout << "First object's raw name: " << ti1.raw_name() << endl;
    cout << endl;

    cout << "Second object's name: " << ti2.name() << endl;
    cout << "Second object's raw name: " << ti2.raw_name() << endl;
    cout << endl;

    if (ti1 == ti2)
        cout << "The two objects are equal." << endl;
    else
        cout << "The two objects are not equal." << endl;

    cout << endl;

    delete base;
    delete derived;

    return 0;
}
