// PublishingSet.cpp : implementation of the CPublishingSet class
//

#include "stdafx.h"
#include "Publishing.h"
#include "PublishingSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPublishingSet implementation

IMPLEMENT_DYNAMIC(CPublishingSet, CRecordset)

CPublishingSet::CPublishingSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPublishingSet)
	m_au_lname = _T("");
	m_au_fname = _T("");
	m_title = _T("");
	m_ytd_sales = 0;
	m_nFields = 4;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}

CString CPublishingSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=LocalServer");
}

CString CPublishingSet::GetDefaultSQL()
{
	return _T("{CALL author_ytd(4000)}");
}

void CPublishingSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPublishingSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Text(pFX, _T("[au_lname]"), m_au_lname);
	RFX_Text(pFX, _T("[au_fname]"), m_au_fname);
	RFX_Text(pFX, _T("[title]"), m_title);
	RFX_Long(pFX, _T("[ytd_sales]"), m_ytd_sales);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPublishingSet diagnostics

#ifdef _DEBUG
void CPublishingSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CPublishingSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
