#include <iostream.h>

class MyException
{
protected:
    char* m_msg;

public:
    MyException(char *msg) { m_msg = msg; }

    ~MyException(){}

    char* GetError() {return m_msg; };
};

int main()
{
    int* buffer;
    
    try
    {
        buffer = new int[256];

        if (buffer == NULL)
        {
            MyException* exception =
                new MyException("Memory allocation failed!");
            throw exception;
        }
        else
            delete buffer;
    }
    catch(MyException* exception)
    {
        char* msg = exception->GetError();
        cout << msg << endl;
    }

    return 0;
}
