#include <iostream.h>

class MyException
{
protected:
    char* m_msg;

public:
    MyException(char *msg) { m_msg = msg;}
    ~MyException(){}
    char* GetError() {return m_msg;}
};

int GetValue();


int main()
{
    try
    {
        int value = GetValue();
        cout << "The value you entered is okay." << endl;
    }
    catch(MyException* exception)
    {
        char* msg = exception->GetError();
        cout << msg << endl;
    }
    catch(char* msg)
    {
        cout << msg << endl;
    }
    catch(...)
    {
        cout << "Caught unknown exception!" << endl;
    }

    return 0;
}

int GetValue(){
    int value;

    cout << "Type a number from 4 to 8 (except 6):" << endl;
    cin >> value;

    if (value < 4)
    {
        MyException* exception =
            new MyException("Value less than 4!");
        throw exception;
    }
    else if (value > 8)
    {
        throw "Value greater than 8!";
    }
    else if (value == 6)
    {
        throw value;
    }
    return value;
}

