// File2View.cpp : implementation of the CFile2View class
//

#include "stdafx.h"
#include "File2.h"

#include "File2Doc.h"
#include "File2View.h"
#include "ChangeDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFile2View

IMPLEMENT_DYNCREATE(CFile2View, CView)

BEGIN_MESSAGE_MAP(CFile2View, CView)
	//{{AFX_MSG_MAP(CFile2View)
	ON_COMMAND(ID_EDIT_CHANGEMESSAGES, OnEditChangemessages)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFile2View construction/destruction

CFile2View::CFile2View()
{
	// TODO: add construction code here

}

CFile2View::~CFile2View()
{
}

BOOL CFile2View::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CFile2View drawing

void CFile2View::OnDraw(CDC* pDC)
{
	CFile2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	pDC->TextOut(20, 20, pDoc->m_messages.GetMessage(1));
	pDC->TextOut(20, 40, pDoc->m_messages.GetMessage(2));
	pDC->TextOut(20, 60, pDoc->m_messages.GetMessage(3));
}

/////////////////////////////////////////////////////////////////////////////
// CFile2View diagnostics

#ifdef _DEBUG
void CFile2View::AssertValid() const
{
	CView::AssertValid();
}

void CFile2View::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CFile2Doc* CFile2View::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CFile2Doc)));
	return (CFile2Doc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CFile2View message handlers

void CFile2View::OnEditChangemessages() 
{
	// TODO: Add your command handler code here
	
    CFile2Doc* pDoc = GetDocument();
   
    CChangeDialog dialog(this);
    dialog.m_message1 = pDoc->m_messages.GetMessage(1);
    dialog.m_message2 = pDoc->m_messages.GetMessage(2);
    dialog.m_message3 = pDoc->m_messages.GetMessage(3);

    int result = dialog.DoModal();

    if (result == IDOK)
    {
        pDoc->m_messages.SetMessage(1, dialog.m_message1);
        pDoc->m_messages.SetMessage(2, dialog.m_message2);
        pDoc->m_messages.SetMessage(3, dialog.m_message3);
        pDoc->SetModifiedFlag();
        Invalidate();
    }
}
