#include "stdafx.h"
#include "messages.h"

IMPLEMENT_SERIAL(CMessages, CObject, 0)

void CMessages::SetMessage(UINT msgNum, CString msg)
{
	switch (msgNum)
	{
	case 1:
		m_message1 = msg;
		break;

	case 2:
        m_message2 = msg;
		break; 

	case 3:
        m_message3 = msg;
		break;
	}
}

CString CMessages::GetMessage(UINT msgNum)
{
    switch (msgNum)
	{
	case 1:
        return m_message1;
	case 2:
        return m_message2;
    case 3:
        return m_message3;
    default:
        return "";
	}
}

void CMessages::Serialize(CArchive& ar)
{
    CObject::Serialize(ar);

    if (ar.IsStoring())
    {
        ar << m_message1 << m_message2 << m_message3;
    }
    else
    {
        ar >> m_message1 >> m_message2 >> m_message3;
    }
}
