// File3View.h : interface of the CFile3View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILE3VIEW_H__53BDD1AE_720B_11D0_B02C_0080C81A3AA2__INCLUDED_)
#define AFX_FILE3VIEW_H__53BDD1AE_720B_11D0_B02C_0080C81A3AA2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CFile3View : public CView
{
protected: // create from serialization only
	CFile3View();
	DECLARE_DYNCREATE(CFile3View)

// Attributes
public:
	CFile3Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFile3View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFile3View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	CString m_filePath;
	CString m_message;
	int m_fileLength;
	//{{AFX_MSG(CFile3View)
	afx_msg void OnEditChangemessage();
	afx_msg void OnFileOpen();
	afx_msg void OnFileSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in File3View.cpp
inline CFile3Doc* CFile3View::GetDocument()
   { return (CFile3Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILE3VIEW_H__53BDD1AE_720B_11D0_B02C_0080C81A3AA2__INCLUDED_)
