// ArrayView.h : interface of the CArrayView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ARRAYVIEW_H__B577F8AD_7EE1_11D0_9B01_0080C81A397C__INCLUDED_)
#define AFX_ARRAYVIEW_H__B577F8AD_7EE1_11D0_9B01_0080C81A397C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CArrayView : public CView
{
protected: // create from serialization only
	CArrayView();
	DECLARE_DYNCREATE(CArrayView)

// Attributes
public:
	CArrayDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CArrayView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CArrayView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	CUIntArray array;
	//{{AFX_MSG(CArrayView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ArrayView.cpp
inline CArrayDoc* CArrayView::GetDocument()
   { return (CArrayDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ARRAYVIEW_H__B577F8AD_7EE1_11D0_9B01_0080C81A397C__INCLUDED_)
