#ifndef __WIZSHEET_H__
#define __WIZSHEET_H__

// WizSheet.h : header file
//

#include "page1.h"
#include "page2.h"
#include "page3.h"

/////////////////////////////////////////////////////////////////////////////
// CWizSheet

class CWizSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CWizSheet)

// Construction
public:
	CWizSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CWizSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	CPage1 m_page1;
	CPage2 m_page2;
	CPage3 m_page3;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWizSheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWizSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CWizSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // __WIZSHEET_H__
