// EmployeeView.h : interface of the CEmployeeView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EMPLOYEEVIEW_H__38438A2F_8861_11D0_B02C_0080C81A3AA2__INCLUDED_)
#define AFX_EMPLOYEEVIEW_H__38438A2F_8861_11D0_B02C_0080C81A3AA2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CEmployeeSet;

class CEmployeeView : public CRecordView
{
protected: // create from serialization only
	CEmployeeView();
	DECLARE_DYNCREATE(CEmployeeView)

public:
	//{{AFX_DATA(CEmployeeView)
	enum { IDD = IDD_EMPLOYEE_FORM };
	CEmployeeSet* m_pSet;
	//}}AFX_DATA

// Attributes
public:
	CEmployeeDoc* GetDocument();
protected:
    BOOL m_bAdding;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEmployeeView)
	public:
	virtual CRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnMove(UINT nIDMoveCommand);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEmployeeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	void DoFilter(CString col);
	//{{AFX_MSG(CEmployeeView)
	afx_msg void OnRecordAdd();
	afx_msg void OnRecordDelete();
	afx_msg void OnSortDepartment();
	afx_msg void OnSortId();
	afx_msg void OnSortName();
	afx_msg void OnSortRate();
	afx_msg void OnFilterDepartment();
	afx_msg void OnFilterId();
	afx_msg void OnFilterName();
	afx_msg void OnFilterRate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in EmployeeView.cpp
inline CEmployeeDoc* CEmployeeView::GetDocument()
   { return (CEmployeeDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EMPLOYEEVIEW_H__38438A2F_8861_11D0_B02C_0080C81A3AA2__INCLUDED_)
