#include <iostream.h>

class MyException
{
protected:
    char* m_msg;

public:
    MyException(char *msg) { m_msg = msg;}
    ~MyException(){}
    char* GetError() {return m_msg;}
};

class BigObject
{
private:
     int* intarray;
public:
     BigObject() {intarray = new int[1000];}
     ~BigObject() {delete intarray;}
};

int* AllocateBuffer();

int main()
{
    int* buffer;
    
    try
    {
        buffer = AllocateBuffer();
        delete buffer;
    }
    catch (MyException* exception)
    {
        char* msg = exception->GetError();
        cout << msg << endl;
    }

    return 0;
}

int* AllocateBuffer()
{
    BigObject bigarray;
	float* floatarray = new float[1000];
    int* buffer = new int[256];

    if (buffer == NULL)
    {
        MyException* exception =
            new MyException("Memory allocation failed!");
        throw exception;
    }
    
	delete floatarray;
    return buffer;
}
