#include <afx.h>
#include <winbase.h>     // Contains the kernel32 GetDiskFreeSpace declaration.
#define __DISKFREE__     // Define the token before the inclusion of the library
#include "diskfree.h"
// Returns the amount of free space on drive number (e.g. 0 = A:, 1= B:, 2 = c:)
__DISKFREELIB__ unsigned long DiskFree( unsigned int drive )
{
     unsigned long bytesPerSector, sectorsPerCluster,
          freeClusters, totalClusters;
     char DrivePath[4] = { char( drive + 65 ), ':', '\\', '\0' };
     if( GetDiskFreeSpace( DrivePath, &sectorsPerCluster,
          &bytesPerSector, &freeClusters, &totalClusters ))
     {
          return sectorsPerCluster * bytesPerSector * freeClusters;
     }
     else
     {
          return 0;
     }
}
